/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.community.parkinglot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springblade.community.parkinglot.entity.ParkingLot;
import org.springblade.community.parkinglot.vo.ParkingLotVO;
import org.springblade.community.parkinglot.mapper.ParkingLotMapper;
import org.springblade.community.parkinglot.service.IParkingLotService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 *  服务实现类
 *
 * @author BladeX
 * @since 2021-01-04
 */
@Service
public class ParkingLotServiceImpl extends BaseServiceImpl<ParkingLotMapper, ParkingLot> implements IParkingLotService {

	@Override
	public IPage<ParkingLotVO> selectParkingLotPage(IPage<ParkingLotVO> page, ParkingLotVO parkingLot) {
		return page.setRecords(baseMapper.selectParkingLotPage(page, parkingLot));
	}

	@Override
	public ParkingLot getByAgencyId(Long agencyId) {
		LambdaQueryWrapper<ParkingLot> lambdaQueryWrapper = new LambdaQueryWrapper<>();
		lambdaQueryWrapper.eq(ParkingLot::getAgencyId, agencyId);
		return baseMapper.selectOne(lambdaQueryWrapper);
	}

	@Override
	public ParkingLot getByResidentialId(Long residentialId) {
		LambdaQueryWrapper<ParkingLot> lambdaQueryWrapper = new LambdaQueryWrapper<>();
		lambdaQueryWrapper.eq(ParkingLot::getResidentialId, residentialId);
		return baseMapper.selectOne(lambdaQueryWrapper);
	}

	@Override
	public ParkingLot getByKey(String key) {
		LambdaQueryWrapper<ParkingLot> lambdaQueryWrapper = new LambdaQueryWrapper<>();
		lambdaQueryWrapper.eq(ParkingLot::getParkKey, key);
		return baseMapper.selectOne(lambdaQueryWrapper);
	}

}
